final class DependencyInjectionMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Wstrzykiwanie zależności: pojazd i silnik");
        EngineServiceProvider.addEngine(new FastEngine("sportowy"));

        Engine engine = EngineServiceProvider.getEngineByType("sportowy");
        Vehicle vehicle = new SportVehicle(engine);
        vehicle.move();
    }
}
